Sync wallet
curl --request POST \
--url https://api.example.com/api/v1/wallet/sync \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/wallet/sync"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/wallet/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
wallet
Sync wallet
Triggers an immediate sync of the wallet’s off-chain state. Updates on-chain fee rates, processes incoming arkoor payments, resolves outgoing and incoming Lightning payments, and progresses pending rounds and boards toward confirmation. The background daemon already runs these operations automatically (e.g., Lightning every second, mailbox and boards every 30 seconds), but calling sync forces all of them to run immediately.
POST
/
api
/
v1
/
wallet
/
sync
Sync wallet
Authorizations
Base64url-encoded auth token
Response
200
Wallet was successfully synced
Was this page helpful?
⌘I